Subject: Transmission of IPv6 Jumbograms as Atomic Fragments

From: "Templin (US), Fred L" <[email-masked]>
Date: Wed, 17 Nov 2021 17:54:24 +0000

Here is a new draft that may be of interest. It is a quick read (~2pgs) and proposes to
update RFC2675 by permitting transmission of IPv6 jumbograms as atomic fragments.

Please post comments to the list.

Fred

-----Original Message-----
From: I-D-Announce [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, November 17, 2021 9:09 AM
To: [email-masked]
Subject: I-D Action: draft-templin-6man-jumbofrag-00.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Transmission of IPv6 Jumbograms as Atomic Fragments
        Author          : Fred L. Templin
	Filename        : draft-templin-6man-jumbofrag-00.txt
	Pages           : 4
	Date            : 2021-11-17

Abstract:
   Internet Protocol, Version 6 (IPv6) provides a service for
   transmission of IPv6 packets larger than 65,535 octets known as
   "jumbograms".  Such large packets are not eligible for fragmentation,
   and the current specification forbids the inclusion of a fragment
   header of any kind.  However, some implementations may wish to
   include an Identification value with each jumbogram; hence this
   document proposes the transmission of IPv6 jumbograms as "atomic
   fragments".

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-templin-6man-jumbofrag/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-templin-6man-jumbofrag-00

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 18 Nov 2021 10:39:21 +1300

Fred,

Is there any evidence of usage of jumbograms? To my knowledge, even the high energy phsyics community, one of the main proponents of jumbograms back in the days when HIPPI seemed important, doesn't use them, despite extensive use of IPv6 for bulk data.

Regards
    Brian

On 18-Nov-21 06:54, Templin (US), Fred L wrote:
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Wed, 17 Nov 2021 22:45:22 +0000

Brian, I came through the supercomputer lab at NASA Ames in Mt View CA in 1996/7
where HiPPI was heavily used. I didn't spend much time there, but enough to get a
rough read that large packets are plausible.

At some time not long after that, I had the good fortune to meet Dave Borman and
asked him about RFC2675 with a "YMBK" pre-disposition toward the concept. Dave
assured me that the document was serious, and I do not see evidence that it has
been deprecated.

So, do I know of any such mega-links? Not offhand, but AFAICT RFC2675 is still part
of the IPv6 architecture and needs to be honored as such.

Thanks - Fred

> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Wednesday, November 17, 2021 1:39 PM
> To: Templin (US), Fred L <[email-masked]>; 6man <[email-masked]>
> Subject: [EXTERNAL] Re: Transmission of IPv6 Jumbograms as Atomic Fragments
> 
> EXT email: be mindful of links/attachments.
> 
> 
> 
> Fred,
> 
> Is there any evidence of usage of jumbograms? To my knowledge, even the high energy phsyics community, one of the main proponents of
> jumbograms back in the days when HIPPI seemed important, doesn't use them, despite extensive use of IPv6 for bulk data.
> 
> Regards
>     Brian
>

---

From: David Farmer <[email-masked]>
Date: Wed, 17 Nov 2021 17:27:03 -0600

While I see no reason to depreciate RFC2675, without evidence of actual
active use of jumbograms or at least an intent to use them, but for the
issue you describe prevents it, I see no reason to advance the update you
propose.

Even in the R&E networking community where we make regular use of data
grams larger than 1500 bytes, I’m not aware of the use of, or even a desire
to use, jumbograms.

Thanks

On Wed, Nov 17, 2021 at 16:45 Templin (US), Fred L <
[email-masked]> wrote:

> > Is there any evidence of usage of jumbograms? To my knowledge, even the
> high energy phsyics community, one of the main proponents of
> > jumbograms back in the days when HIPPI seemed important, doesn't use
> them, despite extensive use of IPv6 for bulk data.
> >
> > Regards
> >     Brian
> >
-- 
===============================================
David Farmer               Email:[email-masked]
Networking & Telecommunication Services
Office of Information Technology
University of Minnesota
2218 University Ave SE        Phone: 612-626-0815
Minneapolis, MN 55414-3029   Cell: 612-812-9952
===============================================

---

From: Michael Richardson <[email-masked]>
Date: Wed, 17 Nov 2021 19:00:43 -0500

Brian E Carpenter <[email-masked]> wrote:
    > high energy phsyics community, one of the main proponents of jumbograms
    > back in the days when HIPPI seemed important, doesn't use them, despite
    > extensive use of IPv6 for bulk data.

(It's funny to talk about *ATOMIC* fragments and the high-energy physics community)
{Maybe we can adopt the term quarks for the frames that 6lo products that are
lower down that IP fragments}

If there was anyone/anywhere that I would expect to deploy jumbograms it would be on
the backhaul ("dark fiber") connections that
Google/Facebook/Akamai/Cloudflare use to populate their CDNs.  Afterall, they
control all of the infrastructure, including much of the forwarding plane
ASICs, the transmit offload engines in the servers, etc.
And I think that they have gone aggressively towards IPv6-only data centers too.

Maybe someone with one of those hats could tell us if this has happened.
And if not, why not.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Philip Homburg <[email-masked]>
Date: Thu, 18 Nov 2021 17:58:17 +0100

> Here is a new draft that
> may be of interest. It is a quick read (~2pgs) and proposes to

I'm a bit confused by this draft. Having unique a indentifier for an
IP datagram is not part of the IP architecture. Of course you need a unique
identifier for fragmentation. But apart from fragmentation, the architecture
does not provide for one. 

In the case of IPv4, RFC 6864 (Updated Specification of the IPv4 ID Field,
Standards Track) is quite specific:

Section 4.1: 
>> The IPv4 ID field MUST NOT be used for purposes other than
      fragmentation and reassembly.
>> All devices that examine IPv4 headers MUST ignore the IPv4 ID
      field of atomic datagrams.

For IPv6 we have RFC 8021 (Generation of IPv6 Atomic Fragments Considered
Harmful, Informational) which argues why atomic fragments should not be
generated.  (Note that RFC 8021 is referenced by RFC 8200).

So it seems weird to me introduce atomic IPv6 jumbogram fragments, when
there is substantial analysis both for IPv4 and IPv6 why this is a bad idea.

In particular RFC 6864 is quite specific that the IP header identifier should
not be used for anything other than fragmentation. Maybe that analysis is
outdated, but then we would need that discussion first.

---

From: Carsten Bormann <[email-masked]>
Date: Fri, 19 Nov 2021 18:58:30 +0100

> lower down that IP fragments}

Sorry, they are already called Adaptation Layer Fragments.

https://doi.org/10.1002/9780470686218

Grüße, Carsten

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 20 Nov 2021 10:16:23 +1300

> Sorry, they are already called Adaptation Layer Fragments.

But quarks come in such lovely flavours.
https://en.wikipedia.org/wiki/Flavour_(particle_physics)

    Brian